<?PHP
/*
Simfatic Forms Main Form processor script

This script does all the server side processing. 
(Displaying the form, processing form submissions,
displaying errors, making CAPTCHA image, and so on.) 

All pages (including the form page) are displayed using 
templates in the 'templ' sub folder. 

The overall structure is that of a list of modules. Depending on the 
arguments (POST/GET) passed to the script, the modules process in sequence. 

Please note that just appending  a header and footer to this script won't work.
To embed the form, use the 'Copy & Paste' code in the 'Take the Code' page. 
To extend the functionality, see 'Extension Modules' in the help.

*/
require_once("./includes/saleeby_contact-lib.php");
$formmailobj =  new FormMail("saleeby_contact");
$formmailobj->setFormPage(sfm_readfile("./templ/saleeby_contact_form_page.txt"));
$formmailobj->setFormID("504402ce-6994-402d-8d32-1569715ea688");
$formmailobj->setFormKey("efdd7f00-6c77-43a0-b8b3-8fd839b0de9f");
$formmailobj->setEmailFormatHTML(true);
$formmailobj->EnableLogging(false);
$formmailobj->SetErrorEmail("Toni Saleeby<tonisaleeby@bellsouth.net>");
$formmailobj->SetDebugMode(false);
$formmailobj->SetFromAddress("no-reply@saleeby-saliba.org");
$formmailobj->SetCommonDateFormat("m-d-Y");
$formmailobj->SetSingleBoxErrorDisplay(true);
$fm_installer =  new FM_FormInstaller();
$formmailobj->addModule($fm_installer);

$formmailobj->setIsInstalled(true);
$sfm_captcha =  new FM_CaptchaCreator("Captcha");
$sfm_captcha->SetSize(150,60);
$sfm_captcha->SetCharset("2356789ABCDEFGHJKLMNPQRSTUVWXYZ");
$sfm_captcha->SetCaseInsensitiveMatch(true);
$sfm_captcha->SetNChars(5);
$sfm_captcha->SetNLines(3);
$sfm_captcha->SetFontFile("images/SFOldRepublicBold.ttf");
$sfm_captcha->SetErrorStrings("Please input the code displayed in the image","Code does not match. Please try again.");
$formmailobj->addModule($sfm_captcha);

$formfiller =  new FM_FormFillerScriptWriter();
$formmailobj->addModule($formfiller);

$formmailobj->AddElementInfo("Name","text");
$formmailobj->AddElementInfo("Email","text");
$formmailobj->AddElementInfo("Message","multiline");
$page_renderer =  new FM_FormPageRenderer();
$formmailobj->addModule($page_renderer);

$validator =  new FM_FormValidator();
$validator->addValidation("Name","req","Please fill in Name");
$validator->addValidation("Name","maxlen=35","The length of the input for Name should not exceed 35");
$validator->addValidation("Email","email","The input for Email should be a valid email value");
$validator->addValidation("Email","maxlen=45","The length of the input for Email should not exceed 45");
$validator->addValidation("Email","req","Please fill in Email");
$validator->addValidation("Message","maxlen=10000","The length of the input for Message should not exceed 10000");
$validator->addValidation("Message","regexp=/^[,\\.a-zA-Z0-9\\s]*$/","Please enter a valid input for Message");
$formmailobj->addModule($validator);

$data_email_sender =  new FM_FormDataSender(sfm_readfile("./templ/saleeby_contact_email_subj.txt"),sfm_readfile("./templ/saleeby_contact_email_body.txt"),"%Email%");
$data_email_sender->AddToAddr("Toni Saleeby<tonisaleeby@bellsouth.net>");
$data_email_sender->AddToAddr("Jim Wear<lifelinz@nc.rr.com>");
$data_email_sender->AddToAddr("Aleeta Williams<aw2004@embarqmail.com>");
$data_email_sender->AddToAddr("Callie Stanley<CRS1920@aol.com>");
$formmailobj->addModule($data_email_sender);

$autoresp =  new FM_AutoResponseSender(sfm_readfile("./templ/saleeby_contact_resp_subj.txt"),sfm_readfile("./templ/saleeby_contact_resp_body.txt"));
$autoresp->SetToVariables("Name","Email");
$formmailobj->addModule($autoresp);

$tupage =  new FM_ThankYouPage();
$tupage->SetRedirURL("http://www.saleeby-saliba.org/thanks.htm");
$formmailobj->addModule($tupage);

$sfm_captcha->SetValidator($validator);
$formmailobj->ProcessForm();

?>